zenilib: zenilib/jni/external/libpng/pngpread.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
pngpread.c File Reference
`#include "pngpriv.h"`

Go to the source code of this file.

## Macros

#define | PNG_ERROR_MODE 8
#define | PNG_READ_CHUNK_MODE 1
#define | PNG_READ_DONE_MODE 6
#define | PNG_READ_IDAT_MODE 2
#define | PNG_READ_iTXt_MODE 7
#define | PNG_READ_SIG_MODE 0
#define | PNG_READ_tEXt_MODE 4
#define | PNG_READ_zTXt_MODE 5
#define | PNG_SKIP_MODE 3

## Functions

png_voidp PNGAPI | png_get_progressive_ptr (png_const_structp png_ptr)
void PNGAPI | png_process_data (png_structp png_ptr, png_infop info_ptr, png_bytep buffer, png_size_t buffer_size)
png_size_t PNGAPI | png_process_data_pause (png_structp png_ptr, int save)
png_uint_32 PNGAPI | png_process_data_skip (png_structp png_ptr)
void | png_process_IDAT_data (png_structp png_ptr, png_bytep buffer, png_size_t buffer_length)
void | png_process_some_data (png_structp png_ptr, png_infop info_ptr)
void PNGAPI | png_progressive_combine_row (png_structp png_ptr, png_bytep old_row, png_const_bytep new_row)
void | png_push_crc_finish (png_structp png_ptr)
void | png_push_crc_skip (png_structp png_ptr, png_uint_32 skip)
void PNGCBAPI | png_push_fill_buffer (png_structp png_ptr, png_bytep buffer, png_size_t length)
void | png_push_handle_iTXt (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_push_handle_tEXt (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_push_handle_unknown (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_push_handle_zTXt (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_push_have_end (png_structp png_ptr, png_infop info_ptr)
void | png_push_have_info (png_structp png_ptr, png_infop info_ptr)
void | png_push_have_row (png_structp png_ptr, png_bytep row)
void | png_push_process_row (png_structp png_ptr)
void | png_push_read_chunk (png_structp png_ptr, png_infop info_ptr)
void | png_push_read_IDAT (png_structp png_ptr)
void | png_push_read_iTXt (png_structp png_ptr, png_infop info_ptr)
void | png_push_read_sig (png_structp png_ptr, png_infop info_ptr)
void | png_push_read_tEXt (png_structp png_ptr, png_infop info_ptr)
void | png_push_read_zTXt (png_structp png_ptr, png_infop info_ptr)
void | png_push_restore_buffer (png_structp png_ptr, png_bytep buffer, png_size_t buffer_length)
void | png_push_save_buffer (png_structp png_ptr)
void | png_read_push_finish_row (png_structp png_ptr)
void PNGAPI | png_set_progressive_read_fn (png_structp png_ptr, png_voidp progressive_ptr, png_progressive_info_ptr info_fn, png_progressive_row_ptr row_fn, png_progressive_end_ptr end_fn)

## Macro Definition Documentation

#define PNG_ERROR_MODE 8

Definition at line 27 of file pngpread.c.

#define PNG_READ_CHUNK_MODE 1

Definition at line 20 of file pngpread.c.

Referenced by png_process_data_skip(), png_process_some_data(), png_push_crc_finish(), png_push_read_IDAT(), and png_push_read_sig().

#define PNG_READ_DONE_MODE 6

Definition at line 25 of file pngpread.c.

Referenced by png_push_read_chunk().

#define PNG_READ_IDAT_MODE 2

Definition at line 21 of file pngpread.c.

Referenced by png_process_some_data(), and png_push_read_chunk().

#define PNG_READ_iTXt_MODE 7

Definition at line 26 of file pngpread.c.

Referenced by png_process_some_data(), and png_push_handle_iTXt().

#define PNG_READ_SIG_MODE 0

Definition at line 19 of file pngpread.c.

Referenced by png_process_some_data().

#define PNG_READ_tEXt_MODE 4

Definition at line 23 of file pngpread.c.

Referenced by png_process_some_data(), and png_push_handle_tEXt().

#define PNG_READ_zTXt_MODE 5

Definition at line 24 of file pngpread.c.

Referenced by png_process_some_data(), and png_push_handle_zTXt().

#define PNG_SKIP_MODE 3

Definition at line 22 of file pngpread.c.

Referenced by png_process_data_skip(), png_process_some_data(), and png_push_crc_skip().

## Function Documentation

png_voidp PNGAPI png_get_progressive_ptr | ( | png_const_structp | png_ptr | ) |

Definition at line 1836 of file pngpread.c.

References NULL.

void PNGAPI png_process_data | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_bytep | buffer,
|  | png_size_t | buffer_size
| ) |  |

Definition at line 30 of file pngpread.c.

References NULL, png_process_some_data(), and png_push_restore_buffer().

png_size_t PNGAPI png_process_data_pause | ( | png_structp | png_ptr,
|  | int | save
| ) |  |

Definition at line 45 of file pngpread.c.

References NULL, and png_push_save_buffer().

png_uint_32 PNGAPI png_process_data_skip | ( | png_structp | png_ptr | ) |

Definition at line 72 of file pngpread.c.

References NULL, png_error(), PNG_READ_CHUNK_MODE, and PNG_SKIP_MODE.

void png_process_IDAT_data | ( | png_structp | png_ptr,
|  | png_bytep | buffer,
|  | png_size_t | buffer_length
| ) |  |

Definition at line 868 of file pngpread.c.

References inflate(), NULL, png_error(), PNG_FLAG_ZLIB_FINISHED, png_push_process_row(), PNG_ROWBYTES, png_warning(), ret, Z_OK, Z_STREAM_END, and Z_SYNC_FLUSH.

Referenced by png_push_read_IDAT().

void png_process_some_data | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |  |

Definition at line 106 of file pngpread.c.

References NULL, png_push_crc_finish(), png_push_read_chunk(), png_push_read_IDAT(), png_push_read_iTXt(), png_push_read_sig(), png_push_read_tEXt(), png_push_read_zTXt(), PNG_READ_CHUNK_MODE, PNG_READ_IDAT_MODE, PNG_READ_iTXt_MODE, PNG_READ_SIG_MODE, PNG_READ_tEXt_MODE, PNG_READ_zTXt_MODE, and PNG_SKIP_MODE.

Referenced by png_process_data().

void PNGAPI png_progressive_combine_row | ( | png_structp | png_ptr,
|  | png_bytep | old_row,
|  | png_const_bytep | new_row
| ) |  |

Definition at line 1805 of file pngpread.c.

References NULL, and png_combine_row().

void png_push_crc_finish | ( | png_structp | png_ptr | ) |

Definition at line 597 of file pngpread.c.

References png_calculate_crc(), png_crc_finish(), png_push_save_buffer(), and PNG_READ_CHUNK_MODE.

Referenced by png_process_some_data(), png_push_read_iTXt(), png_push_read_tEXt(), and png_push_read_zTXt().

void png_push_crc_skip | ( | png_structp | png_ptr,
|  | png_uint_32 | skip
| ) |  |

Definition at line 590 of file pngpread.c.

References PNG_SKIP_MODE, and skip.

Referenced by png_push_handle_unknown(), and png_push_handle_zTXt().

void PNGCBAPI png_push_fill_buffer | ( | png_structp | png_ptr,
|  | png_bytep | buffer,
|  | png_size_t | length
| ) |  |

Definition at line 658 of file pngpread.c.

References NULL, and png_memcpy.

Referenced by png_push_read_chunk(), png_push_read_IDAT(), png_push_read_sig(), and png_set_progressive_read_fn().

void png_push_handle_iTXt | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 1567 of file pngpread.c.

References png_error(), PNG_HAVE_IEND, PNG_HAVE_IHDR, PNG_READ_iTXt_MODE, PNG_UNUSED, and png_warning().

Referenced by png_push_read_chunk().

void png_push_handle_tEXt | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 1268 of file pngpread.c.

References png_error(), PNG_HAVE_IEND, PNG_HAVE_IHDR, PNG_READ_tEXt_MODE, PNG_UNUSED, and png_warning().

Referenced by png_push_read_chunk().

void png_push_handle_unknown | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 1692 of file pngpread.c.

References NULL, PNG_CHUNK_CRITICAL, png_chunk_unknown_handling(), png_crc_read(), PNG_CSTRING_FROM_CHUNK, PNG_FLAG_KEEP_UNKNOWN_CHUNKS, png_free(), PNG_HANDLE_CHUNK_ALWAYS, png_push_crc_skip(), PNG_READ_USER_CHUNKS_SUPPORTED, png_set_unknown_chunks(), PNG_UNUSED, png_warning(), ret, and skip.

Referenced by png_push_read_chunk().

void png_push_handle_zTXt | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 1364 of file pngpread.c.

References png_error(), PNG_HAVE_IEND, PNG_HAVE_IHDR, png_push_crc_skip(), PNG_READ_zTXt_MODE, PNG_UNUSED, and png_warning().

Referenced by png_push_read_chunk().

void png_push_have_end | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |  |

Definition at line 1789 of file pngpread.c.

References NULL.

Referenced by png_push_read_chunk().

void png_push_have_info | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |  |

Definition at line 1782 of file pngpread.c.

References NULL.

Referenced by png_push_read_chunk().

void png_push_have_row | ( | png_structp | png_ptr,
|  | png_bytep | row
| ) |  |

Definition at line 1796 of file pngpread.c.

References int, and NULL.

Referenced by png_push_process_row().

void png_push_process_row | ( | png_structp | png_ptr | ) |

Definition at line 972 of file pngpread.c.

References png_row_info_struct::bit_depth, png_row_info_struct::channels, png_row_info_struct::color_type, i, NULL, png_row_info_struct::pixel_depth, png_do_read_interlace(), png_do_read_transformations(), png_error(), PNG_FILTER_VALUE_LAST, PNG_FILTER_VALUE_NONE, PNG_INTERLACE, png_memcpy, png_push_have_row(), png_read_filter_row(), png_read_push_finish_row(), PNG_ROWBYTES, png_row_info_struct::rowbytes, and png_row_info_struct::width.

Referenced by png_process_IDAT_data().

void png_push_read_chunk | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |  |

Definition at line 209 of file pngpread.c.

References PNG_AFTER_IDAT, png_benign_error(), png_bKGD, png_check_chunk_name(), png_cHRM, PNG_CHUNK_FROM_STRING, png_chunk_unknown_handling(), PNG_COLOR_TYPE_PALETTE, png_crc_read(), png_error(), png_gAMA, png_get_uint_31(), png_handle_bKGD(), png_handle_cHRM(), png_handle_gAMA(), png_handle_hIST(), png_handle_IEND(), png_handle_IHDR(), png_handle_oFFs(), png_handle_pCAL(), png_handle_pHYs(), png_handle_PLTE(), png_handle_sBIT(), png_handle_sCAL(), png_handle_sRGB(), png_handle_tIME(), png_handle_tRNS(), png_handle_unknown(), PNG_HAVE_CHUNK_AFTER_IDAT, PNG_HAVE_CHUNK_HEADER, PNG_HAVE_IDAT, PNG_HAVE_IHDR, PNG_HAVE_PLTE, png_hIST, png_iCCP, png_IDAT, png_IEND, png_IHDR, png_iTXt, png_oFFs, png_pCAL, png_pHYs, png_PLTE, png_push_fill_buffer(), png_push_handle_iTXt(), png_push_handle_tEXt(), png_push_handle_unknown(), png_push_handle_zTXt(), png_push_have_end(), png_push_have_info(), png_push_save_buffer(), PNG_READ_DONE_MODE, PNG_READ_IDAT_MODE, png_reset_crc(), PNG_ROWBYTES, png_sBIT, png_sCAL, png_sPLT, png_sRGB, png_tEXt, png_tIME, png_tRNS, and png_zTXt.

Referenced by png_process_some_data().

void png_push_read_IDAT | ( | png_structp | png_ptr | ) |

Definition at line 767 of file pngpread.c.

References PNG_AFTER_IDAT, png_calculate_crc(), PNG_CHUNK_FROM_STRING, png_crc_finish(), png_crc_read(), png_error(), PNG_FLAG_ZLIB_FINISHED, png_get_uint_31(), PNG_HAVE_CHUNK_HEADER, png_IDAT, png_process_IDAT_data(), png_push_fill_buffer(), png_push_save_buffer(), PNG_READ_CHUNK_MODE, and png_reset_crc().

Referenced by png_process_some_data().

void png_push_read_iTXt | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |  |

Definition at line 1597 of file pngpread.c.

References NULL, png_crc_read(), png_free(), png_push_crc_finish(), png_push_save_buffer(), png_set_text_2(), png_sizeof, png_strlen, png_warning(), and ret.

Referenced by png_process_some_data().

void png_push_read_sig | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |  |

Definition at line 176 of file pngpread.c.

References png_error(), png_push_fill_buffer(), PNG_READ_CHUNK_MODE, and png_sig_cmp().

Referenced by png_process_some_data().

void png_push_read_tEXt | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |  |

Definition at line 1298 of file pngpread.c.

References NULL, png_crc_read(), png_free(), png_push_crc_finish(), png_push_save_buffer(), png_set_text_2(), png_sizeof, PNG_TEXT_COMPRESSION_NONE, png_warning(), and ret.

Referenced by png_process_some_data().

void png_push_read_zTXt | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |  |

Definition at line 1396 of file pngpread.c.

References inflate(), inflateReset(), NULL, png_crc_read(), png_free(), png_memcpy, png_push_crc_finish(), png_push_save_buffer(), png_set_text_2(), png_sizeof, PNG_TEXT_COMPRESSION_zTXt, png_warning(), ret, while(), Z_OK, Z_PARTIAL_FLUSH, and Z_STREAM_END.

Referenced by png_process_some_data().

void png_push_restore_buffer | ( | png_structp | png_ptr,
|  | png_bytep | buffer,
|  | png_size_t | buffer_length
| ) |  |

Definition at line 757 of file pngpread.c.

Referenced by png_process_data().

void png_push_save_buffer | ( | png_structp | png_ptr | ) |

Definition at line 701 of file pngpread.c.

References i, NULL, png_error(), png_free(), png_memcpy, and PNG_SIZE_MAX.

Referenced by png_process_data_pause(), png_push_crc_finish(), png_push_read_chunk(), png_push_read_IDAT(), png_push_read_iTXt(), png_push_read_tEXt(), and png_push_read_zTXt().

void png_read_push_finish_row | ( | png_structp | png_ptr | ) |

Definition at line 1201 of file pngpread.c.

References FARDATA, if(), PNG_CONST, PNG_INTERLACE, and png_memset.

Referenced by png_push_process_row().

void PNGAPI png_set_progressive_read_fn | ( | png_structp | png_ptr,
|  | png_voidp | progressive_ptr,
|  | png_progressive_info_ptr | info_fn,
|  | png_progressive_row_ptr | row_fn,
|  | png_progressive_end_ptr | end_fn
| ) |  |

Definition at line 1821 of file pngpread.c.

References NULL, png_push_fill_buffer(), and png_set_read_fn().